import { __require as c } from "./index-utils10.js";
var s, f;
function m() {
  if (f) return s;
  f = 1;
  var a = c(), u = [
    "age",
    "authorization",
    "content-length",
    "content-type",
    "etag",
    "expires",
    "from",
    "host",
    "if-modified-since",
    "if-unmodified-since",
    "last-modified",
    "location",
    "max-forwards",
    "proxy-authorization",
    "referer",
    "retry-after",
    "user-agent"
  ];
  return s = function(n) {
    var r = {}, e, i, t;
    return n && a.forEach(n.split(`
`), function(o) {
      if (t = o.indexOf(":"), e = a.trim(o.slice(0, t)).toLowerCase(), i = a.trim(o.slice(t + 1)), e) {
        if (r[e] && u.indexOf(e) >= 0)
          return;
        e === "set-cookie" ? r[e] = (r[e] ? r[e] : []).concat([i]) : r[e] = r[e] ? r[e] + ", " + i : i;
      }
    }), r;
  }, s;
}
export {
  m as __require
};
